Update a wallet | Moov Documentation

Update a wallet

Update properties of an existing wallet such as name, description, status, or metadata.

Read our Moov wallets guide to learn more.

To access this endpoint using an access token you'll need to specify the /accounts/{accountID}/wallets.write scope.

PATCH

/accounts/{accountID}/wallets/{walletID}

Ask

curl -X PATCH "https://api.moov.io/accounts/{accountID}/wallets/{walletID}" \
  -H "Authorization: Bearer {token}" \
  -H "X-Moov-Version: v2026.07.00" \
  -d '{\n  "name": "My second wallet",\n  "description": "My new description",\n  "metadata": {\n    "optional": "metadata"\n  }\n}'

Ask

mc, _ := moov.NewClient()

accountID := "{uuid}" // account ID of the wallet owner
walletID := "{uuid}" // wallet ID of the wallet to update

newName := "My new wallet"
update := moov.UpdateWallet{
    Name: &newName,
}

mc.UpdateWallet(ctx, accountID, walletID, update)

Ask

import { Moov } from "@moovio/sdk";

const moov = new Moov({
  security: {
    username: "",
    password: "",
  },
});

async function run() {
  const result = await moov.wallets.update({
    walletID: "9f1c6e07-aae8-40e6-b290-502bb1bc486e",
    accountID: "e4aad2fb-201d-4390-b4d3-6de7716152e1",
    patchWallet: {
      name: "My second wallet",
      description: "My new description",
      metadata: {
        "optional": "metadata",
      },
    },
  });

console.log(result);
}

run();

Ask

declare(strict_types=1);

require 'vendor/autoload.php';

use Moov\MoovPhp;
use Moov\MoovPhp\Models\Components;

$sdk = MoovPhp\Moov::builder()
    ->setSecurity(
        new Components\Security(
            username: '',
            password: '',
        )
    )
    ->build();

$patchWallet = new Components\PatchWallet(
    name: 'My second wallet',
    description: 'My new description',
    metadata: [\
        'optional' => 'metadata',\
    ],
);

$response = $sdk->wallets->update(
    walletID: '9f1c6e07-aae8-40e6-b290-502bb1bc486e',
    accountID: 'e4aad2fb-201d-4390-b4d3-6de7716152e1',
    patchWallet: $patchWallet
);

if ($response->wallet !== null) {
    // handle response
}

Ask

package hello.world;

import io.moov.sdk.Moov;
import io.moov.sdk.models.components.PatchWallet;
import io.moov.sdk.models.components.Security;
import io.moov.sdk.models.errors.GenericError;
import io.moov.sdk.models.errors.PatchWalletValidationError;
import io.moov.sdk.models.operations.UpdateWalletResponse;
import java.lang.Exception;
import java.util.Map;

public class Application {

public static void main(String[] args) throws GenericError, PatchWalletValidationError, Exception {

Moov sdk = Moov.builder()
                .security(Security.builder()
                    .username("")
                    .password("")
                    .build())
            .build();

UpdateWalletResponse res = sdk.wallets().update()
                .walletID("9f1c6e07-aae8-40e6-b290-502bb1bc486e")
                .accountID("e4aad2fb-201d-4390-b4d3-6de7716152e1")
                .patchWallet(PatchWallet.builder()
                    .name("My second wallet")
                    .description("My new description")
                    .metadata(Map.ofEntries(
                        Map.entry("optional", "metadata")))
                    .build())
                .call();

if (res.wallet().isPresent()) {
            System.out.println(res.wallet().get());
        }
    }
}

Ask

from moovio_sdk import Moov
from moovio_sdk.models import components

with Moov(
    security=components.Security(
        username="",
        password="",
    ),
) as moov:

res = moov.wallets.update(wallet_id="9f1c6e07-aae8-40e6-b290-502bb1bc486e", account_id="e4aad2fb-201d-4390-b4d3-6de7716152e1", name="My second wallet", description="My new description", metadata={
        "optional": "metadata",
    })

# Handle response
    print(res)

Ask

require 'moov_ruby'

Models = ::Moov::Models
s = ::Moov::Client.new(
  security: Models::Components::Security.new(
    username: '',
    password: ''
  )
)
res = s.wallets.update(wallet_id: '9f1c6e07-aae8-40e6-b290-502bb1bc486e', account_id: 'e4aad2fb-201d-4390-b4d3-6de7716152e1', patch_wallet: Models::Components::PatchWallet.new(
  name: 'My second wallet',
  description: 'My new description',
  metadata: {
    'optional' => 'metadata',
  }
))

unless res.wallet.nil?
  # handle response
end

Ask

using Moov.Sdk;
using Moov.Sdk.Models.Components;
using System.Collections.Generic;

var sdk = new MoovClient(security: new Security() {
    Username = "",
    Password = "",
});

var res = await sdk.Wallets.UpdateAsync(
    walletID: "9f1c6e07-aae8-40e6-b290-502bb1bc486e",
    accountID: "e4aad2fb-201d-4390-b4d3-6de7716152e1",
    body: new PatchWallet() {
        Name = "My second wallet",
        Description = "My new description",
        Metadata = new Dictionary<string, string>() {
            { "optional", "metadata" },
        },
    }
);

// handle response

Example

A Moov wallet to store funds for transfers.

{
  "walletID": "string",
  "availableBalance": {
    "currency": "USD",
    "value": 1204,
    "valueDecimal": "string"
  },
  "partnerAccountID": "string",
  "name": "string",
  "status": "active",
  "walletType": "default",
  "description": "string",
  "metadata": {
    "optional": "metadata"
  },
  "createdOn": "2019-08-24T14:15:22Z",
  "closedOn": "2019-08-24T14:15:22Z"
}

Response headers

A unique identifier used to trace requests.

The server could not understand the request due to invalid syntax.

{
  "error": "string"
}

Response headers

A unique identifier used to trace requests.

The request contained missing or expired authentication.

Response headers

A unique identifier used to trace requests.

The user is not authorized to make the request.

Response headers

A unique identifier used to trace requests.

The requested resource was not found.

Response headers

A unique identifier used to trace requests.

The request conflicted with the current state of the target resource.

{
  "error": "string"
}

Response headers

A unique identifier used to trace requests.

The request was well-formed, but the contents failed validation. Check the request for missing or invalid fields.

{
  "name": "string",
  "status": "string",
  "description": "string",
  "metadata": "string"
}

Response headers

A unique identifier used to trace requests.

Request was refused due to rate limiting.

Response headers

A unique identifier used to trace requests.

The request failed due to an unexpected error.

Response headers

A unique identifier used to trace requests.

The request failed because a downstream service failed to respond.

Response headers

A unique identifier used to trace requests.

Set this header to v2026.07.00 to use the API described in this specification. When omitted, the server defaults to v2024.01.00, which may not match the behavior documented here.

Possible values:

v2026.07.00

Identifier for the wallet.

The Moov account ID the wallet belongs to.

Free-form key-value pair list. Useful for storing information that is not captured elsewhere.

Status of a wallet.

Possible values:

active, closed

A Moov wallet to store funds for transfers.

Show child attributes

A 3-letter ISO 4217 currency code.

Quantity in the smallest unit of the specified currency.

In USD this is cents, for example, $12.04 is 1204 and $0.99 is 99.

Description of the wallet

Name of the wallet

Status of a wallet.

Possible values:

active, closed

Type of a wallet.

Possible values:

default, general

Free-form key-value pair list. Useful for storing information that is not captured elsewhere.